cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 

This product reached the end of support date on March 31, 2021.

Agent upgrade to 12.5.3

kalle_lahtinen
DynaMight Advisor
DynaMight Advisor

Hi,

Does anyone in the community have experience with the latest service pack for ESM agents? I upgraded a few agents from 12.5.2 to 12.5.3 but ran into issues; the Agent Recorder couldn't be opened because the ODBC definition for the TestPartner database was broken. After repairing it manually, I'm able to launch the Agent Recorder, but the installation is still broken because the Agent cannot connect to the Agent Manager anymore, and re-registering the Agent fails. Control panel does display correctly that Agent build 206 is installed though. I'm interested in hearing if anyone has had similar issues like mine, or whether your installation went over ok?

3 REPLIES 3

carol_ott
Inactive

Thanks for your post, Kalle. We will respond to this in the support tickets.

kalle_lahtinen
DynaMight Advisor
DynaMight Advisor

An update for anyone considering the upgrade to SP3; the 12.5.3 agent installer has now been updated with a version that has the ODBC issue fixed. However there is still an issue with connecting to the Agent Manager with an Agent-initiated connection using the secure channel (port 9015 by default). So if you're using that kind of setup, I would advise against upgrading at this point.

Thanks for the well-stated update, Kalle.